#ifndef FEEDBACK_CONFIG_PAGE_H
#define FEEDBACK_CONFIG_PAGE_H

#include <qvbox.h>

class QCheckBox;
class QSpinBox;
class KConfig;

class FeedbackConfigPage : public QVBox
  {
  Q_OBJECT
  
    public:
  FeedbackConfigPage(QWidget *parent, const char *name);
  ~FeedbackConfigPage();

  void readOptions(KConfig &config);
  void writeOptions(KConfig &config);

  signals:
  void modified();

  protected slots:
  void slotToggled(bool);
  void slotValueChanged(int);
  
    private:
  QCheckBox *_systemBeep;
  QCheckBox *_displayRecognized;
  QSpinBox *_posX;
  QSpinBox *_posY;
  QSpinBox *_lifeLength;


  bool _readingOptions;
  };

#endif
