#include <qlineedit.h>
#include <qlabel.h>
#include <qstring.h>

#include <klocale.h>

#include "namepage.h"

NamePage::NamePage(QWidget *parent, const char *name)
  : QVBox(parent, name), _gestureNameEdit(NULL)
  {
  QString message;
  message += "This wizard will guide you through the required steps\n";
  message += "to create new gestures. You can cancel the process at\n";
  message += "any time or go back to fix mistakes.\n\n";

  (void) new QLabel(i18n(message), this, "label");

  message = "Please enter a name for the new gesture:";
  (void) new QLabel(i18n(message), this, "nameLabel");

  _gestureNameEdit = new QLineEdit(i18n("Unknown"), this, "gestureNameEdit");

  QWidget *spacer = new QWidget(this, "spacer");
  setStretchFactor(spacer, 1);
  }

NamePage::~NamePage()
  {
  }

QString NamePage::getGestureName() const
  {
  return _gestureNameEdit->text();
  }
