/***************************************************************************
                          kgesture.h  -  description
                             -------------------
    begin                : Wed May 16 11:06:41 EDT 2001
    copyright            : (C) 2001 by Mike Pilone
    email                : mpilone@slac.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KGESTURE_H
#define KGESTURE_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qwidget.h>
#include <qpoint.h>
#include <qlist.h>
#include <qevent.h>
#include <qtimer.h>

#include <ksystemtray.h>

#include "stroke.h"
#include "gesturerecognizer.h"
#include "configdialog.h"
#include "recognizeddialog.h"

#include <X11/Xlib.h>

class Gesture;

class KGesture : public KSystemTray
  {
  Q_OBJECT
  
    public:
  /** construtor */
  KGesture();
  
  /** destructor */
  ~KGesture();
  
  void readOptions(KConfig &config);
  void writeOptions(KConfig &config);
  
protected slots:
void slotMousePollTimeout();
  void slotMenuEnable();
  void slotMenuPreferences();
  void slotChangeIconTimeout();
    
    private:
  void initXCon();
  void initMenu();
  void gestureRecognized(Gesture &gest);
  void setEnabled(bool state);
  
  Display *_display;
  Window _root, _rootIDRet, _childIDRet;
  int _winX, _winY;
  unsigned int _stateMask;
  int _xCoord, _yCoord;
  
  QPoint _lastGridCoord;
  int _mousePaused;
  
  char _sequence[MAX_SEQUENCE+1];
  
  Q_UINT32 _numStrokesRecorded;
  Q_UINT32 _lifeLength;
  
  GestureRecognizer _recognizer;
  ConfigDialog _configDialog;
  RecognizedDialog _recognizedDialog;
  
  QTimer _mousePollTimer;
  QTimer _changeIconTimer;
  
  bool _showRecognizedDialog;
  bool _systemBeep;
  };

#endif
